Bug 1293882 - Feature request: make clear RPM to trigger key import is signed
Feature request: make clear RPM to trigger key import is signed
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
23
All All
low Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: EasyFix, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-23 06:02 EST by Matthew Cline
Modified: 2016-12-20 12:20 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:20:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Cline 2015-12-23 06:02:10 EST
When importing a GPG key, dnf gives output like this:

warning: /var/lib/dnf/system-upgrade/libnm-qt-0.9.8.3-4.fc23.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID 34ec9cba: NOKEY
Importing GPG key 0x34EC9CBA:
 Userid     : "Fedora (23) <fedora-23-primary@fedoraproject.org>"
 Fingerprint: EF45 5106 80FB 0232 6B04 5AFB 3247 4CF8 34EC 9CBA
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-23-x86_64
Is this ok [y/N]: y
Key imported successfully

At first glance this makes it seem that the package libnm-qt-0.9.8.3-4.fc23.x86_64.rpm isn't signed, and that the key import is unrelated.  I see two ways to make this clearer:

1) Keep the current messages as they are, bu after "key imported successfully" add a line like "signature of libnm-qt-0.9.8.3-4.fc23.x86_64.rpm verified".

2) Change "NOKEY" to something like "key not in keyring".

As an example of the confusion this can cause, see bug 1286652 (this also confused me until I read the comment by Rex Dieter).
Comment 1 Honza Silhan 2015-12-23 07:30:06 EST
Hi Matthew, thanks for suggestions, we can do that.
Comment 2 Fedora Admin XMLRPC Client 2016-07-08 05:35:10 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2016-11-24 09:29:01 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Jaroslav Mracek 2016-11-30 04:43:33 EST
The information "key ID 34ec9cba: NOKEY " is raised from rpm. Please can you change the information for something better on rpm level?
Comment 5 Fedora End Of Life 2016-12-20 12:20:42 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.